import java.util.*;

// A class representing a university course.
public class Course {

	// The students taking this course.
	private Student[] students = new Student[100];
	
	// The number of students taking this course.
	private int numStudents = 0;
	
	// The name of this course.
	private String name;
	
	// Constructs a new course with the identifier 'n'.
	public Course(String n) {
		name = n;
	}

	// Adds a student 's' to this course.
	public void addStudent(Student s) {
		students[numStudents] = s;
		numStudents++;
	}
	
	// Returns true if a student with name 'studentName'
	// is in this course, false otherwise.
	public boolean containsStudent(String studentName) {
		boolean result = false;
		int i = 0;
		while (i != numStudents && !result) {
			if (students[i].getName().equals(studentName)) {
				result = true;
			}
			i++;
		}
		
	
		return result;
	}
	
	// Returns the number of students in this course.
	public int getNumberOfStudents() {
		return numStudents;
	}
	
	// Returns a listing of the students in this course.
	public String toString() {
		String result = "";
		
		result += "Students in " + name + "\n";
		result += "Number of students: " + numStudents + "\n";
		
		// Concatenate to 'result' a listing of all
		// the students.
		int i = 0;
		while (i != numStudents) {
			result += "Name: " + students[i].getName() 
				+ ", Mark: " + students[i].getMark() + "\n";
			i++;	
		}
		
		// Concatenate a separator to make it look nicer.
		result += "--\n";
		
		return result;
	}
	
	// A small program to test this class on some cases.
	public static void main(String[] args) {
	
		Student s1 = new Student("Paul", 90);
		Student s2 = new Student("Gary", 88);
		Student s3 = new Student("Ray", 70);
		
		Course c = new Course("CSC108H");
		
		System.out.println(c);
		c.addStudent(s1);
		System.out.println(c);

		c.addStudent(s2);
		c.addStudent(s3);
		System.out.println(c);
		
		System.out.println("Does c contain a student"
			+ "with the name \"Gary\"?");
		System.out.println(c.containsStudent("Gary"));
		System.out.println("Does c contain a student"
			+ "with the name \"Bob\"?");
		System.out.println(c.containsStudent("Bob"));
	}
}
